import type { Serenity } from '@serenity-js/core';
import type { ModuleLoader, Path } from '@serenity-js/core/lib/io/index.js';
import type { Capabilities } from '@wdio/types';
import type { EventEmitter } from 'events';
import type { WebdriverIOConfig } from '../config/index.js';
import type { InitialisesReporters, ProvidesWriteStream } from './reporter/index.js';
import { WebdriverIOFrameworkAdapter } from './WebdriverIOFrameworkAdapter.js';
/**
 * @group Test Runner Adapter
 */
export declare class WebdriverIOFrameworkAdapterFactory {
    private readonly serenity;
    private readonly loader;
    private readonly cwd;
    constructor(serenity: Serenity, loader: ModuleLoader, cwd: Path);
    init(cid: string, config: WebdriverIOConfig, specs: string[], capabilities: Capabilities.RequestedStandaloneCapabilities | Capabilities.RequestedStandaloneCapabilities[] | Capabilities.RequestedMultiremoteCapabilities | Capabilities.RequestedMultiremoteCapabilities[], reporter: EventEmitter & ProvidesWriteStream & InitialisesReporters): Promise<WebdriverIOFrameworkAdapter>;
}
//# sourceMappingURL=WebdriverIOFrameworkAdapterFactory.d.ts.map