/**
 * @package
 */
export class OutputStreamBuffer {
    prefix;
    buffer = '';
    constructor(prefix) {
        this.prefix = prefix;
    }
    write(content) {
        this.buffer += content;
    }
    hasContent() {
        return this.buffer !== '';
    }
    flush() {
        const prefixedContent = this.buffer
            .split('\n')
            .map(line => `${this.prefix} ${line}\n`)
            .join('');
        this.buffer = '';
        return prefixedContent;
    }
}
//# sourceMappingURL=OutputStreamBuffer.js.map