import { SceneFinished } from '@serenity-js/core/lib/events/index.js';
/**
 * @package
 */
export class OutputStreamBufferPrinter {
    buffer;
    outputStream;
    stage;
    constructor(buffer, outputStream, stage) {
        this.buffer = buffer;
        this.outputStream = outputStream;
        this.stage = stage;
    }
    assignedTo(stage) {
        this.stage = stage;
        return this;
    }
    notifyOf(event) {
        if (event instanceof SceneFinished && this.buffer.hasContent()) {
            this.outputStream.write(this.buffer.flush());
        }
    }
}
//# sourceMappingURL=OutputStreamBufferPrinter.js.map