import type { Capabilities } from '@wdio/types';
import type { EventEmitter } from 'events';
import type { InitialisesReporters, ProvidesWriteStream } from './adapter/reporter/index.js';
import type { WebdriverIOConfig } from './config/index.js';
/**
 * WebdriverIO Framework Adapter integrates WebdriverIO with Serenity/JS
 */
declare const _default: {
    init(cid: string, config: WebdriverIOConfig, specs: string[], capabilities: Capabilities.RequestedStandaloneCapabilities | Capabilities.RequestedStandaloneCapabilities[] | Capabilities.RequestedMultiremoteCapabilities | Capabilities.RequestedMultiremoteCapabilities[], reporter: EventEmitter & ProvidesWriteStream & InitialisesReporters): Promise<{
        hasTests: () => boolean;
        run: () => Promise<number>;
    }>;
};
export default _default;
export * from './api.js';
//# sourceMappingURL=index.d.ts.map