import { serenity } from '@serenity-js/core';
import { ModuleLoader, Path } from '@serenity-js/core/lib/io/index.js';
/**
 * WebdriverIO Framework Adapter integrates WebdriverIO with Serenity/JS
 */
export default {
    async init(cid, config, specs, capabilities, reporter) {
        const { WebdriverIOFrameworkAdapterFactory } = await import('./adapter/index.js');
        const adapterFactory = new WebdriverIOFrameworkAdapterFactory(serenity, new ModuleLoader(process.cwd()), Path.from(process.cwd()));
        return adapterFactory.init(cid, config, specs, capabilities, reporter);
    }
};
export * from './api.js';
//# sourceMappingURL=index.js.map