import 'webdriverio';
import { type Discardable } from '@serenity-js/core';
import type { BrowserCapabilities } from '@serenity-js/web';
import { BrowsingSession } from '@serenity-js/web';
import { WebdriverIOPage } from '../models/index.js';
/**
 * WebdriverIO-specific implementation of [`BrowsingSession`](https://serenity-js.org/api/web/class/BrowsingSession/).
 *
 * @group Models
 */
export declare class WebdriverIOBrowsingSession extends BrowsingSession<WebdriverIOPage> implements Discardable {
    protected readonly browser: WebdriverIO.Browser;
    constructor(browser: WebdriverIO.Browser);
    allPages(): Promise<Array<WebdriverIOPage>>;
    /**
     * @param page
     */
    changeCurrentPageTo(page: WebdriverIOPage): Promise<void>;
    private activeWindowHandle;
    currentPage(): Promise<WebdriverIOPage>;
    protected registerCurrentPage(): Promise<WebdriverIOPage>;
    private assignPageId;
    browserCapabilities(): Promise<BrowserCapabilities>;
    discard(): Promise<void>;
}
//# sourceMappingURL=WebdriverIOBrowsingSession.d.ts.map