export class WebdriverIOErrorHandler {
    handlers;
    constructor(handlers = new Map()) {
        this.handlers = handlers;
    }
    async executeIfHandled(error, action) {
        if (!this.handlers.has(error.name)) {
            throw error;
        }
        await this.handlers.get(error.name)(error);
        return action();
    }
    setHandlerFor(errorType, handler) {
        this.handlers.set(errorType, handler);
    }
    unsetHandlerFor(errorType) {
        this.handlers.delete(errorType);
    }
}
//# sourceMappingURL=WebdriverIOErrorHandler.js.map