import 'webdriverio';
import type { SwitchableOrigin } from '@serenity-js/web';
import { PageElement, SelectOption } from '@serenity-js/web';
/**
 * WebdriverIO-specific implementation of [`PageElement`](https://serenity-js.org/api/web/class/PageElement/).
 *
 * @group Models
 */
export declare class WebdriverIOPageElement extends PageElement<WebdriverIO.Element> {
    of(parent: WebdriverIOPageElement): WebdriverIOPageElement;
    closestTo(child: WebdriverIOPageElement): WebdriverIOPageElement;
    clearValue(): Promise<void>;
    click(): Promise<void>;
    doubleClick(): Promise<void>;
    enterValue(value: string | number | Array<string | number>): Promise<void>;
    scrollIntoView(): Promise<void>;
    hoverOver(): Promise<void>;
    rightClick(): Promise<void>;
    selectOptions(...options: SelectOption[]): Promise<void>;
    selectedOptions(): Promise<SelectOption[]>;
    attribute(name: string): Promise<string>;
    text(): Promise<string>;
    value(): Promise<string>;
    html(): Promise<string>;
    switchTo(): Promise<SwitchableOrigin>;
    isActive(): Promise<boolean>;
    isClickable(): Promise<boolean>;
    isEnabled(): Promise<boolean>;
    isPresent(): Promise<boolean>;
    isSelected(): Promise<boolean>;
    isVisible(): Promise<boolean>;
    private browserFor;
}
//# sourceMappingURL=WebdriverIOPageElement.d.ts.map