import 'webdriverio';
import { RootLocator } from '@serenity-js/web';
/**
 * WebdriverIO-specific implementation of [`RootLocator`](https://serenity-js.org/api/web/class/RootLocator/).
 *
 * @group Models
 */
export class WebdriverIORootLocator extends RootLocator {
    browser;
    constructor(browser) {
        super();
        this.browser = browser;
    }
    async isPresent() {
        return true;
    }
    async nativeElement() {
        return this.browser;
    }
    async switchToFrame(frame) {
        await this.browser.switchFrame(frame);
    }
    async switchToParentFrame() {
        await this.browser.switchToParentFrame();
    }
    async switchToMainFrame() {
        await this.browser.switchFrame(null); // eslint-disable-line unicorn/no-null
    }
}
//# sourceMappingURL=WebdriverIORootLocator.js.map