import 'webdriverio';
import type { Serenity } from '@serenity-js/core';
import type { ModuleLoader } from '@serenity-js/core/lib/io/index.js';
import { Path } from '@serenity-js/core/lib/io/index.js';
import type { Capabilities } from '@wdio/types';
import type { EventEmitter } from 'events';
import type { WebdriverIOConfig } from '../config/index.js';
import type { InitialisesReporters, ProvidesWriteStream } from './reporter/index.js';
export declare class WebdriverIOFrameworkAdapter {
    private readonly serenity;
    private readonly loader;
    private readonly cwd;
    private readonly cid;
    private readonly specs;
    private readonly capabilities;
    private readonly reporter;
    private adapter;
    private notifier;
    constructor(serenity: Serenity, loader: ModuleLoader, cwd: Path, cid: string, webdriverIOConfig: WebdriverIOConfig, specs: string[], capabilities: Capabilities.RequestedStandaloneCapabilities | Capabilities.RequestedStandaloneCapabilities[] | Capabilities.RequestedMultiremoteCapabilities | Capabilities.RequestedMultiremoteCapabilities[], reporter: EventEmitter & ProvidesWriteStream & InitialisesReporters);
    init(): Promise<WebdriverIOFrameworkAdapter>;
    hasTests(): boolean;
    run(): Promise<number>;
    private defaultConfig;
}
//# sourceMappingURL=WebdriverIOFrameworkAdapter.d.ts.map