import 'webdriverio';
import { type Discardable } from '@serenity-js/core';
import { type ModalDialog, ModalDialogHandler } from '@serenity-js/web';
/**
 * WebdriverIO-specific implementation of [`ModalDialogHandler`](https://serenity-js.org/api/web/class/ModalDialogHandler/),
 * used with the [WebDriver protocol](https://webdriver.io/docs/api/webdriver).
 *
 * @group Models
 */
export declare class WebdriverIOModalDialogHandler extends ModalDialogHandler implements Discardable {
    private readonly browser;
    private readonly defaultHandler;
    private currentHandler;
    private dialog?;
    constructor(browser: WebdriverIO.Browser);
    private onDialog;
    private tryToHandleDialog;
    acceptNext(): Promise<void>;
    acceptNextWithValue(text: string | number): Promise<void>;
    dismissNext(): Promise<void>;
    dismiss(): Promise<void>;
    reset(): Promise<void>;
    /**
     * @override
     */
    last(): Promise<ModalDialog>;
    discard(): Promise<void>;
}
//# sourceMappingURL=WebdriverIOModalDialogHandler.d.ts.map